# VecTDotBegin

Starts a split phase transpose dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecTDotBegin(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector
| y | - the second vector
| result | - where the result will go (can be PETSC_NULL)

### C++ variants

| VecTDotBegin(Vec x,Vec y) |  | -> |  | VecTDotBegin(x,y,PETSC_NULL)

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd().

seealso: VecTDotEnd(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd()

Level:advanced
Location:src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages